﻿@model AspNetCore.Models.Teacher

@{
    ViewData["Title"] = "Edit";
}

<h2>Edit</h2>

<h4>Teacher</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Id" />
            <div class="form-group">
                <label asp-for="FullName" class="control-label"></label>
                <input asp-for="FullName" class="form-control" />
                <span asp-validation-for="FullName" class="text-danger"></span>
            </div>
            <div class="form-group">
                @Html.ListBoxFor(model => model.SelectedStudentIds,
                    new MultiSelectList(ViewBag.StudentList, "Value", "Text"))

            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

